/* 
Тестирование производилось на Arduino IDE 1.6.12
Дата тестирования 02.12.2016г.
*/ 

int trigPin = 11;                             // Номер вывод Trig
int echoPin = 12;                             // Номер вывод Echo
long duration, cm, inches;                    // Указываем тип данных для переменных duration, cm и inches 
 
void setup() {
  Serial.begin (9600);                       // Задаем скорость передачи данных
  pinMode(trigPin, OUTPUT);                  // Вывод trigPin установим как выход 
  pinMode(echoPin, INPUT);                   // вывод echoPin установим как вход
}
 
void loop()
{
  digitalWrite(trigPin, LOW);                // Устанавливаем на выходе trigPin 0
  delayMicroseconds(5);                      // Ожидаем 5 микросекунд
  digitalWrite(trigPin, HIGH);               // Устанавливаем на выходе trigPin 1
  delayMicroseconds(10);                     // Ожидаем 10 микросекунд
  digitalWrite(trigPin, LOW);                // Устанавливаем на выходе trigPin 0
   
  duration = pulseIn(echoPin, HIGH);         // Если на echoPin - HIGH, включаем таймер до появления LOW, данные записать в duration    
 
  cm = (duration/2) / 29.1;                  // Высчитываем значение

  Serial.print(cm);                          // Выводим значение переменной cm 
  Serial.print("cm");                        // Выводим символ cm
  Serial.println();                          // Новая строка
  
  delay(250);                                // Ждем 250 мкс
}
